alpm-lint-check(1)

NAME
alpm-lint-check - Run lints on a file or directory

SYNOPSIS
alpm-lint check [-s|--scope] [-v|--verbose]... [-f|--format] [-q|--quiet]... [-p|--pretty] [-l|--level] [-c|--config] [-o|--output] [-h|--help] [DIR]

DESCRIPTION
Run lints on a file or directory.

By default, `alpm-lint` will try to determine the current linting scope based on the provided filename or on available files in the provided directory.

OPTIONS

-s, --scope <SCOPE>
    Explicitly define the linting scope. Using this option overrides the automatic detection.
    Possible values:

    •   source-repository: Lint rules with this scope are specific to an [alpm-source-repo]

    •   package: Lint rules with this scope are specific to an [alpm-package]

    •   build-info: Lint rules with this scope are specific to a single [BUILDINFO] file

    •   package-build: Lint rules with this scope are specific to a single [PKGBUILD] file

    •   package-info: Lint rules with this scope are specific to a single [PKGINFO] file

    •   source-info: Lint rules with this scope are specific to a single [SRCINFO] file

-v, --verbose
    Increase logging verbosity

-f, --format <CHECK_FORMAT> [default: text]
    The output format to use. If none is provided, any issues will be printed in human readable form.
    Possible values:

    •   text: Human readable text

    •   json: The JSON output format

-q, --quiet
    Decrease logging verbosity

-p, --pretty
    Pretty-print the output. Has no effect if the output format can not be pretty printed.

-l, --level <LEVEL> [default: warn]
    The level of lints to consider. Any lints with this level and above (more severe) will be shown. If such lints are found, the command will return with an non-zero exit code.
    Possible values:

    •   error: Lint rules leading to errors

    •   deny: Lint rules leading to denials

    •   warn: Lint rules leading to warnings

    •   suggest: Lint rules leading to suggestions

-c, --config <LEVEL>
    Supply a lint config path. This overwrites any options from the project wide configuration file.

-o, --output <FILE>
    Optional output file path. If not provided, output goes to stdout

-h, --help
    Print help (see a summary with '-h')

[DIR]
    An optional path to a file or directory to be linted